Add Banking Coordinates to an Account API
Use this endpoint to add banking coordinates (e.g. IBAN, account number) to an existing account. Supports optional tagging for easier categorization and lookup.
post
Add banking coordinates to account
Path parameters
idRefstringRequired
Query parameters
tagsstringOptional
Body
A standard way of transmitting account coordinates between services.
referencestringOptional
Responses
200
Response to /api/v2.0/account/{idRef}/coordinates
application/json
idstring · uuidRequired
A globally unique identifier for the account, generated on creation.
tagsstring[]Optional
Strictly optional application-scoped tags for the account coordinates.
post/api/v2.0/account/{idRef}/coordinates
POST /api/v2.0/account/{idRef}/coordinates HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 751
{
"acceptor": {
"acquirer_id": "text",
"facilitator_id": "text",
"id": "text",
"mcc": "text",
"terminal_id": "text"
},
"banking": {
"account_code": "text",
"account_number": "text",
"account_type": "text",
"balance_account_number": "text",
"bank_code": "text",
"bic": "text",
"bic_bank_code": "text",
"bic_branch_code": "text",
"bic_location_code": "text",
"branch_code": "text",
"country_code": "text",
"currency": "text",
"iban": "text",
"national_id": "text",
"owner_account_number": "text",
"routing_code": "text"
},
"external": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"internal": {
"account_id": "123e4567-e89b-12d3-a456-426614174000",
"account_reference": "text",
"card_id": "123e4567-e89b-12d3-a456-426614174000",
"contact_account_id": "text",
"currency_code": "text",
"legacy_account_id": 1
},
"reference": "text"
}200
Response to /api/v2.0/account/{idRef}/coordinates
{
"coordinates": {
"acceptor": {
"acquirer_id": "text",
"facilitator_id": "text",
"id": "text",
"mcc": "text",
"terminal_id": "text"
},
"banking": {
"account_code": "text",
"account_number": "text",
"account_type": "text",
"balance_account_number": "text",
"bank_code": "text",
"bic": "text",
"bic_bank_code": "text",
"bic_branch_code": "text",
"bic_location_code": "text",
"branch_code": "text",
"country_code": "text",
"currency": "text",
"iban": "text",
"national_id": "text",
"owner_account_number": "text",
"routing_code": "text"
},
"external": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"internal": {
"account_id": "123e4567-e89b-12d3-a456-426614174000",
"account_reference": "text",
"card_id": "123e4567-e89b-12d3-a456-426614174000",
"contact_account_id": "text",
"currency_code": "text",
"legacy_account_id": 1
},
"reference": "text"
},
"external": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"tags": [
"text"
]
}Last updated

